Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network152.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
Network address
152.0.0.0
Broadcast address
155.255.255.255
First usable
152.0.0.1
Last usable
155.255.255.254
Usable hosts
67,108,862 (67,108,864 less the network and broadcast addresses)
Subnet mask
252.0.0.0
Wildcard mask
3.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/6
Type
Public public
Old class
B (default /16)
As numbers
Hex 98000000 · Integer 2550136832 to 2617245695
Reverse DNS zones
152.in-addr.arpa
153.in-addr.arpa
154.in-addr.arpa
155.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011000.00000000.00000000.00000000152.0.0.0
Subnet mask11111100.00000000.00000000.00000000252.0.0.0
Network10011000.00000000.00000000.00000000152.0.0.0
Broadcast10011011.11111111.11111111.11111111155.255.255.255
Split into smaller subnets/17

152.0.0.0/6 makes 2,048 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1152.0.0.0/17152.0.0.1 to 152.0.127.254152.0.127.25532,766
2152.0.128.0/17152.0.128.1 to 152.0.255.254152.0.255.25532,766
3152.1.0.0/17152.1.0.1 to 152.1.127.254152.1.127.25532,766
4152.1.128.0/17152.1.128.1 to 152.1.255.254152.1.255.25532,766
5152.2.0.0/17152.2.0.1 to 152.2.127.254152.2.127.25532,766
6152.2.128.0/17152.2.128.1 to 152.2.255.254152.2.255.25532,766
7152.3.0.0/17152.3.0.1 to 152.3.127.254152.3.127.25532,766
8152.3.128.0/17152.3.128.1 to 152.3.255.254152.3.255.25532,766
9152.4.0.0/17152.4.0.1 to 152.4.127.254152.4.127.25532,766
10152.4.128.0/17152.4.128.1 to 152.4.255.254152.4.255.25532,766
11152.5.0.0/17152.5.0.1 to 152.5.127.254152.5.127.25532,766
12152.5.128.0/17152.5.128.1 to 152.5.255.254152.5.255.25532,766
13152.6.0.0/17152.6.0.1 to 152.6.127.254152.6.127.25532,766
14152.6.128.0/17152.6.128.1 to 152.6.255.254152.6.255.25532,766
15152.7.0.0/17152.7.0.1 to 152.7.127.254152.7.127.25532,766
16152.7.128.0/17152.7.128.1 to 152.7.255.254152.7.255.25532,766
17152.8.0.0/17152.8.0.1 to 152.8.127.254152.8.127.25532,766
18152.8.128.0/17152.8.128.1 to 152.8.255.254152.8.255.25532,766
19152.9.0.0/17152.9.0.1 to 152.9.127.254152.9.127.25532,766
20152.9.128.0/17152.9.128.1 to 152.9.255.254152.9.255.25532,766
21152.10.0.0/17152.10.0.1 to 152.10.127.254152.10.127.25532,766
22152.10.128.0/17152.10.128.1 to 152.10.255.254152.10.255.25532,766
23152.11.0.0/17152.11.0.1 to 152.11.127.254152.11.127.25532,766
24152.11.128.0/17152.11.128.1 to 152.11.255.254152.11.255.25532,766
25152.12.0.0/17152.12.0.1 to 152.12.127.254152.12.127.25532,766
26152.12.128.0/17152.12.128.1 to 152.12.255.254152.12.255.25532,766
27152.13.0.0/17152.13.0.1 to 152.13.127.254152.13.127.25532,766
28152.13.128.0/17152.13.128.1 to 152.13.255.254152.13.255.25532,766
29152.14.0.0/17152.14.0.1 to 152.14.127.254152.14.127.25532,766
30152.14.128.0/17152.14.128.1 to 152.14.255.254152.14.255.25532,766
31152.15.0.0/17152.15.0.1 to 152.15.127.254152.15.127.25532,766
32152.15.128.0/17152.15.128.1 to 152.15.255.254152.15.255.25532,766
33152.16.0.0/17152.16.0.1 to 152.16.127.254152.16.127.25532,766
34152.16.128.0/17152.16.128.1 to 152.16.255.254152.16.255.25532,766
35152.17.0.0/17152.17.0.1 to 152.17.127.254152.17.127.25532,766
36152.17.128.0/17152.17.128.1 to 152.17.255.254152.17.255.25532,766
37152.18.0.0/17152.18.0.1 to 152.18.127.254152.18.127.25532,766
38152.18.128.0/17152.18.128.1 to 152.18.255.254152.18.255.25532,766
39152.19.0.0/17152.19.0.1 to 152.19.127.254152.19.127.25532,766
40152.19.128.0/17152.19.128.1 to 152.19.255.254152.19.255.25532,766
41152.20.0.0/17152.20.0.1 to 152.20.127.254152.20.127.25532,766
42152.20.128.0/17152.20.128.1 to 152.20.255.254152.20.255.25532,766
43152.21.0.0/17152.21.0.1 to 152.21.127.254152.21.127.25532,766
44152.21.128.0/17152.21.128.1 to 152.21.255.254152.21.255.25532,766
45152.22.0.0/17152.22.0.1 to 152.22.127.254152.22.127.25532,766
46152.22.128.0/17152.22.128.1 to 152.22.255.254152.22.255.25532,766
47152.23.0.0/17152.23.0.1 to 152.23.127.254152.23.127.25532,766
48152.23.128.0/17152.23.128.1 to 152.23.255.254152.23.255.25532,766
49152.24.0.0/17152.24.0.1 to 152.24.127.254152.24.127.25532,766
50152.24.128.0/17152.24.128.1 to 152.24.255.254152.24.255.25532,766
51152.25.0.0/17152.25.0.1 to 152.25.127.254152.25.127.25532,766
52152.25.128.0/17152.25.128.1 to 152.25.255.254152.25.255.25532,766
53152.26.0.0/17152.26.0.1 to 152.26.127.254152.26.127.25532,766
54152.26.128.0/17152.26.128.1 to 152.26.255.254152.26.255.25532,766
55152.27.0.0/17152.27.0.1 to 152.27.127.254152.27.127.25532,766
56152.27.128.0/17152.27.128.1 to 152.27.255.254152.27.255.25532,766
57152.28.0.0/17152.28.0.1 to 152.28.127.254152.28.127.25532,766
58152.28.128.0/17152.28.128.1 to 152.28.255.254152.28.255.25532,766
59152.29.0.0/17152.29.0.1 to 152.29.127.254152.29.127.25532,766
60152.29.128.0/17152.29.128.1 to 152.29.255.254152.29.255.25532,766
61152.30.0.0/17152.30.0.1 to 152.30.127.254152.30.127.25532,766
62152.30.128.0/17152.30.128.1 to 152.30.255.254152.30.255.25532,766
63152.31.0.0/17152.31.0.1 to 152.31.127.254152.31.127.25532,766
64152.31.128.0/17152.31.128.1 to 152.31.255.254152.31.255.25532,766
65152.32.0.0/17152.32.0.1 to 152.32.127.254152.32.127.25532,766
66152.32.128.0/17152.32.128.1 to 152.32.255.254152.32.255.25532,766
67152.33.0.0/17152.33.0.1 to 152.33.127.254152.33.127.25532,766
68152.33.128.0/17152.33.128.1 to 152.33.255.254152.33.255.25532,766
69152.34.0.0/17152.34.0.1 to 152.34.127.254152.34.127.25532,766
70152.34.128.0/17152.34.128.1 to 152.34.255.254152.34.255.25532,766
71152.35.0.0/17152.35.0.1 to 152.35.127.254152.35.127.25532,766
72152.35.128.0/17152.35.128.1 to 152.35.255.254152.35.255.25532,766
73152.36.0.0/17152.36.0.1 to 152.36.127.254152.36.127.25532,766
74152.36.128.0/17152.36.128.1 to 152.36.255.254152.36.255.25532,766
75152.37.0.0/17152.37.0.1 to 152.37.127.254152.37.127.25532,766
76152.37.128.0/17152.37.128.1 to 152.37.255.254152.37.255.25532,766
77152.38.0.0/17152.38.0.1 to 152.38.127.254152.38.127.25532,766
78152.38.128.0/17152.38.128.1 to 152.38.255.254152.38.255.25532,766
79152.39.0.0/17152.39.0.1 to 152.39.127.254152.39.127.25532,766
80152.39.128.0/17152.39.128.1 to 152.39.255.254152.39.255.25532,766
81152.40.0.0/17152.40.0.1 to 152.40.127.254152.40.127.25532,766
82152.40.128.0/17152.40.128.1 to 152.40.255.254152.40.255.25532,766
83152.41.0.0/17152.41.0.1 to 152.41.127.254152.41.127.25532,766
84152.41.128.0/17152.41.128.1 to 152.41.255.254152.41.255.25532,766
85152.42.0.0/17152.42.0.1 to 152.42.127.254152.42.127.25532,766
86152.42.128.0/17152.42.128.1 to 152.42.255.254152.42.255.25532,766
87152.43.0.0/17152.43.0.1 to 152.43.127.254152.43.127.25532,766
88152.43.128.0/17152.43.128.1 to 152.43.255.254152.43.255.25532,766
89152.44.0.0/17152.44.0.1 to 152.44.127.254152.44.127.25532,766
90152.44.128.0/17152.44.128.1 to 152.44.255.254152.44.255.25532,766
91152.45.0.0/17152.45.0.1 to 152.45.127.254152.45.127.25532,766
92152.45.128.0/17152.45.128.1 to 152.45.255.254152.45.255.25532,766
93152.46.0.0/17152.46.0.1 to 152.46.127.254152.46.127.25532,766
94152.46.128.0/17152.46.128.1 to 152.46.255.254152.46.255.25532,766
95152.47.0.0/17152.47.0.1 to 152.47.127.254152.47.127.25532,766
96152.47.128.0/17152.47.128.1 to 152.47.255.254152.47.255.25532,766
97152.48.0.0/17152.48.0.1 to 152.48.127.254152.48.127.25532,766
98152.48.128.0/17152.48.128.1 to 152.48.255.254152.48.255.25532,766
99152.49.0.0/17152.49.0.1 to 152.49.127.254152.49.127.25532,766
100152.49.128.0/17152.49.128.1 to 152.49.255.254152.49.255.25532,766
101152.50.0.0/17152.50.0.1 to 152.50.127.254152.50.127.25532,766
102152.50.128.0/17152.50.128.1 to 152.50.255.254152.50.255.25532,766
103152.51.0.0/17152.51.0.1 to 152.51.127.254152.51.127.25532,766
104152.51.128.0/17152.51.128.1 to 152.51.255.254152.51.255.25532,766
105152.52.0.0/17152.52.0.1 to 152.52.127.254152.52.127.25532,766
106152.52.128.0/17152.52.128.1 to 152.52.255.254152.52.255.25532,766
107152.53.0.0/17152.53.0.1 to 152.53.127.254152.53.127.25532,766
108152.53.128.0/17152.53.128.1 to 152.53.255.254152.53.255.25532,766
109152.54.0.0/17152.54.0.1 to 152.54.127.254152.54.127.25532,766
110152.54.128.0/17152.54.128.1 to 152.54.255.254152.54.255.25532,766
111152.55.0.0/17152.55.0.1 to 152.55.127.254152.55.127.25532,766
112152.55.128.0/17152.55.128.1 to 152.55.255.254152.55.255.25532,766
113152.56.0.0/17152.56.0.1 to 152.56.127.254152.56.127.25532,766
114152.56.128.0/17152.56.128.1 to 152.56.255.254152.56.255.25532,766
115152.57.0.0/17152.57.0.1 to 152.57.127.254152.57.127.25532,766
116152.57.128.0/17152.57.128.1 to 152.57.255.254152.57.255.25532,766
117152.58.0.0/17152.58.0.1 to 152.58.127.254152.58.127.25532,766
118152.58.128.0/17152.58.128.1 to 152.58.255.254152.58.255.25532,766
119152.59.0.0/17152.59.0.1 to 152.59.127.254152.59.127.25532,766
120152.59.128.0/17152.59.128.1 to 152.59.255.254152.59.255.25532,766
121152.60.0.0/17152.60.0.1 to 152.60.127.254152.60.127.25532,766
122152.60.128.0/17152.60.128.1 to 152.60.255.254152.60.255.25532,766
123152.61.0.0/17152.61.0.1 to 152.61.127.254152.61.127.25532,766
124152.61.128.0/17152.61.128.1 to 152.61.255.254152.61.255.25532,766
125152.62.0.0/17152.62.0.1 to 152.62.127.254152.62.127.25532,766
126152.62.128.0/17152.62.128.1 to 152.62.255.254152.62.255.25532,766
127152.63.0.0/17152.63.0.1 to 152.63.127.254152.63.127.25532,766
128152.63.128.0/17152.63.128.1 to 152.63.255.254152.63.255.25532,766
129152.64.0.0/17152.64.0.1 to 152.64.127.254152.64.127.25532,766
130152.64.128.0/17152.64.128.1 to 152.64.255.254152.64.255.25532,766
131152.65.0.0/17152.65.0.1 to 152.65.127.254152.65.127.25532,766
132152.65.128.0/17152.65.128.1 to 152.65.255.254152.65.255.25532,766
133152.66.0.0/17152.66.0.1 to 152.66.127.254152.66.127.25532,766
134152.66.128.0/17152.66.128.1 to 152.66.255.254152.66.255.25532,766
135152.67.0.0/17152.67.0.1 to 152.67.127.254152.67.127.25532,766
136152.67.128.0/17152.67.128.1 to 152.67.255.254152.67.255.25532,766
137152.68.0.0/17152.68.0.1 to 152.68.127.254152.68.127.25532,766
138152.68.128.0/17152.68.128.1 to 152.68.255.254152.68.255.25532,766
139152.69.0.0/17152.69.0.1 to 152.69.127.254152.69.127.25532,766
140152.69.128.0/17152.69.128.1 to 152.69.255.254152.69.255.25532,766
141152.70.0.0/17152.70.0.1 to 152.70.127.254152.70.127.25532,766
142152.70.128.0/17152.70.128.1 to 152.70.255.254152.70.255.25532,766
143152.71.0.0/17152.71.0.1 to 152.71.127.254152.71.127.25532,766
144152.71.128.0/17152.71.128.1 to 152.71.255.254152.71.255.25532,766
145152.72.0.0/17152.72.0.1 to 152.72.127.254152.72.127.25532,766
146152.72.128.0/17152.72.128.1 to 152.72.255.254152.72.255.25532,766
147152.73.0.0/17152.73.0.1 to 152.73.127.254152.73.127.25532,766
148152.73.128.0/17152.73.128.1 to 152.73.255.254152.73.255.25532,766
149152.74.0.0/17152.74.0.1 to 152.74.127.254152.74.127.25532,766
150152.74.128.0/17152.74.128.1 to 152.74.255.254152.74.255.25532,766
151152.75.0.0/17152.75.0.1 to 152.75.127.254152.75.127.25532,766
152152.75.128.0/17152.75.128.1 to 152.75.255.254152.75.255.25532,766
153152.76.0.0/17152.76.0.1 to 152.76.127.254152.76.127.25532,766
154152.76.128.0/17152.76.128.1 to 152.76.255.254152.76.255.25532,766
155152.77.0.0/17152.77.0.1 to 152.77.127.254152.77.127.25532,766
156152.77.128.0/17152.77.128.1 to 152.77.255.254152.77.255.25532,766
157152.78.0.0/17152.78.0.1 to 152.78.127.254152.78.127.25532,766
158152.78.128.0/17152.78.128.1 to 152.78.255.254152.78.255.25532,766
159152.79.0.0/17152.79.0.1 to 152.79.127.254152.79.127.25532,766
160152.79.128.0/17152.79.128.1 to 152.79.255.254152.79.255.25532,766
161152.80.0.0/17152.80.0.1 to 152.80.127.254152.80.127.25532,766
162152.80.128.0/17152.80.128.1 to 152.80.255.254152.80.255.25532,766
163152.81.0.0/17152.81.0.1 to 152.81.127.254152.81.127.25532,766
164152.81.128.0/17152.81.128.1 to 152.81.255.254152.81.255.25532,766
165152.82.0.0/17152.82.0.1 to 152.82.127.254152.82.127.25532,766
166152.82.128.0/17152.82.128.1 to 152.82.255.254152.82.255.25532,766
167152.83.0.0/17152.83.0.1 to 152.83.127.254152.83.127.25532,766
168152.83.128.0/17152.83.128.1 to 152.83.255.254152.83.255.25532,766
169152.84.0.0/17152.84.0.1 to 152.84.127.254152.84.127.25532,766
170152.84.128.0/17152.84.128.1 to 152.84.255.254152.84.255.25532,766
171152.85.0.0/17152.85.0.1 to 152.85.127.254152.85.127.25532,766
172152.85.128.0/17152.85.128.1 to 152.85.255.254152.85.255.25532,766
173152.86.0.0/17152.86.0.1 to 152.86.127.254152.86.127.25532,766
174152.86.128.0/17152.86.128.1 to 152.86.255.254152.86.255.25532,766
175152.87.0.0/17152.87.0.1 to 152.87.127.254152.87.127.25532,766
176152.87.128.0/17152.87.128.1 to 152.87.255.254152.87.255.25532,766
177152.88.0.0/17152.88.0.1 to 152.88.127.254152.88.127.25532,766
178152.88.128.0/17152.88.128.1 to 152.88.255.254152.88.255.25532,766
179152.89.0.0/17152.89.0.1 to 152.89.127.254152.89.127.25532,766
180152.89.128.0/17152.89.128.1 to 152.89.255.254152.89.255.25532,766
181152.90.0.0/17152.90.0.1 to 152.90.127.254152.90.127.25532,766
182152.90.128.0/17152.90.128.1 to 152.90.255.254152.90.255.25532,766
183152.91.0.0/17152.91.0.1 to 152.91.127.254152.91.127.25532,766
184152.91.128.0/17152.91.128.1 to 152.91.255.254152.91.255.25532,766
185152.92.0.0/17152.92.0.1 to 152.92.127.254152.92.127.25532,766
186152.92.128.0/17152.92.128.1 to 152.92.255.254152.92.255.25532,766
187152.93.0.0/17152.93.0.1 to 152.93.127.254152.93.127.25532,766
188152.93.128.0/17152.93.128.1 to 152.93.255.254152.93.255.25532,766
189152.94.0.0/17152.94.0.1 to 152.94.127.254152.94.127.25532,766
190152.94.128.0/17152.94.128.1 to 152.94.255.254152.94.255.25532,766
191152.95.0.0/17152.95.0.1 to 152.95.127.254152.95.127.25532,766
192152.95.128.0/17152.95.128.1 to 152.95.255.254152.95.255.25532,766
193152.96.0.0/17152.96.0.1 to 152.96.127.254152.96.127.25532,766
194152.96.128.0/17152.96.128.1 to 152.96.255.254152.96.255.25532,766
195152.97.0.0/17152.97.0.1 to 152.97.127.254152.97.127.25532,766
196152.97.128.0/17152.97.128.1 to 152.97.255.254152.97.255.25532,766
197152.98.0.0/17152.98.0.1 to 152.98.127.254152.98.127.25532,766
198152.98.128.0/17152.98.128.1 to 152.98.255.254152.98.255.25532,766
199152.99.0.0/17152.99.0.1 to 152.99.127.254152.99.127.25532,766
200152.99.128.0/17152.99.128.1 to 152.99.255.254152.99.255.25532,766
201152.100.0.0/17152.100.0.1 to 152.100.127.254152.100.127.25532,766
202152.100.128.0/17152.100.128.1 to 152.100.255.254152.100.255.25532,766
203152.101.0.0/17152.101.0.1 to 152.101.127.254152.101.127.25532,766
204152.101.128.0/17152.101.128.1 to 152.101.255.254152.101.255.25532,766
205152.102.0.0/17152.102.0.1 to 152.102.127.254152.102.127.25532,766
206152.102.128.0/17152.102.128.1 to 152.102.255.254152.102.255.25532,766
207152.103.0.0/17152.103.0.1 to 152.103.127.254152.103.127.25532,766
208152.103.128.0/17152.103.128.1 to 152.103.255.254152.103.255.25532,766
209152.104.0.0/17152.104.0.1 to 152.104.127.254152.104.127.25532,766
210152.104.128.0/17152.104.128.1 to 152.104.255.254152.104.255.25532,766
211152.105.0.0/17152.105.0.1 to 152.105.127.254152.105.127.25532,766
212152.105.128.0/17152.105.128.1 to 152.105.255.254152.105.255.25532,766
213152.106.0.0/17152.106.0.1 to 152.106.127.254152.106.127.25532,766
214152.106.128.0/17152.106.128.1 to 152.106.255.254152.106.255.25532,766
215152.107.0.0/17152.107.0.1 to 152.107.127.254152.107.127.25532,766
216152.107.128.0/17152.107.128.1 to 152.107.255.254152.107.255.25532,766
217152.108.0.0/17152.108.0.1 to 152.108.127.254152.108.127.25532,766
218152.108.128.0/17152.108.128.1 to 152.108.255.254152.108.255.25532,766
219152.109.0.0/17152.109.0.1 to 152.109.127.254152.109.127.25532,766
220152.109.128.0/17152.109.128.1 to 152.109.255.254152.109.255.25532,766
221152.110.0.0/17152.110.0.1 to 152.110.127.254152.110.127.25532,766
222152.110.128.0/17152.110.128.1 to 152.110.255.254152.110.255.25532,766
223152.111.0.0/17152.111.0.1 to 152.111.127.254152.111.127.25532,766
224152.111.128.0/17152.111.128.1 to 152.111.255.254152.111.255.25532,766
225152.112.0.0/17152.112.0.1 to 152.112.127.254152.112.127.25532,766
226152.112.128.0/17152.112.128.1 to 152.112.255.254152.112.255.25532,766
227152.113.0.0/17152.113.0.1 to 152.113.127.254152.113.127.25532,766
228152.113.128.0/17152.113.128.1 to 152.113.255.254152.113.255.25532,766
229152.114.0.0/17152.114.0.1 to 152.114.127.254152.114.127.25532,766
230152.114.128.0/17152.114.128.1 to 152.114.255.254152.114.255.25532,766
231152.115.0.0/17152.115.0.1 to 152.115.127.254152.115.127.25532,766
232152.115.128.0/17152.115.128.1 to 152.115.255.254152.115.255.25532,766
233152.116.0.0/17152.116.0.1 to 152.116.127.254152.116.127.25532,766
234152.116.128.0/17152.116.128.1 to 152.116.255.254152.116.255.25532,766
235152.117.0.0/17152.117.0.1 to 152.117.127.254152.117.127.25532,766
236152.117.128.0/17152.117.128.1 to 152.117.255.254152.117.255.25532,766
237152.118.0.0/17152.118.0.1 to 152.118.127.254152.118.127.25532,766
238152.118.128.0/17152.118.128.1 to 152.118.255.254152.118.255.25532,766
239152.119.0.0/17152.119.0.1 to 152.119.127.254152.119.127.25532,766
240152.119.128.0/17152.119.128.1 to 152.119.255.254152.119.255.25532,766
241152.120.0.0/17152.120.0.1 to 152.120.127.254152.120.127.25532,766
242152.120.128.0/17152.120.128.1 to 152.120.255.254152.120.255.25532,766
243152.121.0.0/17152.121.0.1 to 152.121.127.254152.121.127.25532,766
244152.121.128.0/17152.121.128.1 to 152.121.255.254152.121.255.25532,766
245152.122.0.0/17152.122.0.1 to 152.122.127.254152.122.127.25532,766
246152.122.128.0/17152.122.128.1 to 152.122.255.254152.122.255.25532,766
247152.123.0.0/17152.123.0.1 to 152.123.127.254152.123.127.25532,766
248152.123.128.0/17152.123.128.1 to 152.123.255.254152.123.255.25532,766
249152.124.0.0/17152.124.0.1 to 152.124.127.254152.124.127.25532,766
250152.124.128.0/17152.124.128.1 to 152.124.255.254152.124.255.25532,766
251152.125.0.0/17152.125.0.1 to 152.125.127.254152.125.127.25532,766
252152.125.128.0/17152.125.128.1 to 152.125.255.254152.125.255.25532,766
253152.126.0.0/17152.126.0.1 to 152.126.127.254152.126.127.25532,766
254152.126.128.0/17152.126.128.1 to 152.126.255.254152.126.255.25532,766
255152.127.0.0/17152.127.0.1 to 152.127.127.254152.127.127.25532,766
256152.127.128.0/17152.127.128.1 to 152.127.255.254152.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses